The PageObject Class
--------------------

.. autoclass:: pypdf._page.PageObject
    :members:
    :undoc-members:
    :show-inheritance:

.. autoclass:: pypdf._utils.ImageFile
    :members:
    :undoc-members:
    :show-inheritance:
    :exclude-members: IndirectObject

.. autoclass:: pypdf._utils.File
    :members:
    :undoc-members:
    :show-inheritance:
    :exclude-members: IndirectObject
